﻿@model IEnumerable<eCommerce.BackOffice.ViewModels.ProductViewModel>

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th>Código</th>
            <th>Título</th>
            <th>Categoría</th>
            <th class="text-right">Precio</th>
            <th class="text-center">Publicado</th>
            <th class="text-center">Sale</th>
            <th>Tela</th>
            <!--<th class="text-center">Mostrar en home</th>-->
            <th class="text-center">Creado</th>
            <th class="text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.Code)</td>
            <td>@Html.DisplayFor(modelItem => item.Title)</td>
            <td>@Html.DisplayFor(modelItem => item.CategoryCompleteName)</td>
            <td class="text-right no-wrap">@string.Format("{0:c2}", item.WholesalePrice)</td>
            <td class="text-center">
                @if (item.Published) {
                    <span class="label label-outline label-success">Si</span>
                }
                else
                {
                    <span class="label label-outline label-danger">No</span>
                }
            </td>
            <td class="text-center">
                @if (item.IsOnSale)
                {
                    <span class="label label-outline label-success">Si</span>
                }
                else
                {
                    <span class="label label-outline label-danger">No</span>
                }
            </td>
            <td>@Html.DisplayFor(modelItem => item.Cloth)</td>
            <!--<td class="text-center">
                @if (item.ShowInHome)
                {
                    <span class="label label-outline label-success">Si</span>
                }
                else
                {
                    <span class="label label-outline label-danger">No</span>
                }
            </td>-->
            <td class="text-right">@item.Created.ToShortDateString()</td>
            <td class="actions text-nowrap text-center">
                <a href="/Products/ProductUpdate/@item.ProductId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.ProductId" onclick="fDeleteDialog(@item.ProductId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
